Information on Handelsbanken Payment API version 2

Update regarding V2 Payments API for Swedish customers

Handelsbanken Relaunches Payment API V2

The PIS API version 2 has now been relaunched. This version is identical to the previously released version, with the addition of a new endpoint.

Our Payment API V2 now supports the SEK Credit Transfer endpoint for the new local domestic payment type in Sweden.

In addition, we have introduced a new endpoint for both corporate and private customers: other-bank-domestic-credit-transfer. This endpoint should be used for payments that need to be debited immediately after successfully passing all internal validation checks. We understand that this functionality is important for some Third-Party Providers (TPPs). For more information, please refer to the FAQ for ‘Payments to other Banks’.

Please note that, due to changes to our account offerings, it will no longer be possible to initiate payments to other banks from the account type Allkortskonto.

Important Timeline

We kindly ask you to review the documentation available on our Developer Portal and test your integration in our Sandbox environment.

Please be aware that we will shortly be deprecating PIS API V1 and is scheduled to be decommissioned on the 15th November 2026.

Previously communicated information about SEK Credit transfer (from March 2026)

FAQ SEK Credit Transfer

SHB Hero API image

API chip image

 

 

Handelsbanken APIs

Explore our APIs, test them in our Sandbox, develop your applications and discover the possibilities.

 

Our APIs

The APIs listed below are the PSD2 APIs available as of today. 

Click on the links below to read more information about the APIs such as the country specific pages which contain important business rules and you'll also find a link to all our API products.

 

PSD2 Accounts Information API

 GET /accounts

  "accounts": [
    {
      "accountId": "ae577250-6cf3-11e9-9c41-e957ce7d7d69",
      "iban": "SE5460000000000403333911",
      "bban": "403333911",
      "currency": "EUR",
      "accountType": "Current Account",
      "bic": "HANDSESS",
      "clearingNumber": "6295",
      "name": "Vacation Account",
      "ownerName": "John Smith",
      "_links": {
        "transactions": {
            "href":"/accounts/5a72e1531b6586f34a0d7ce3/transactions"
        }
      }
    },

Our Account Information API provides you with our our mutual customers' account information, balances and transactions. Please visit our product information page to find out more.

Account Information API

 

PSD2 Card Account Information API

 GET /card-accounts

  "cardAccounts": [
    {
      "accountId": "ae577250-6cf3-11e9-9c41-e957ce7d7d69",
      "cards": [ 
        { 
          "maskedPan": "5123********3283" 
        } 
      ], 
      "currency": "SEK",
      "product": "Platinum",
      "creditLimit": { 
        "currency": "SEK", 
        "amount": 2000 
      }, 
      "balances": [  

      "balances":  
    {
      "accountId": "ae577250-6cf3-11e9-9c41-e957ce7d7d69",
      "iban": "SE5460000000000403333911",
      "bban": "403333911",
      "currency": "EUR",
      "accountType": "Current Account",
      "bic": "HANDSESS",
      "clearingNumber": "6295",
      "name": "Vacation Account",
      "ownerName": "John Smith",
      "_links": {
        "transactions": {

Our Card Account Information API provides you with our mutual customers' card information, balances and transactions. Please visit our product information page to find out more.

Card Account Information API



PSD2 Confirmation of Funds API

 POST /funds-confirmations

{
  "cardNumber": 1234567890123456,
  "account": {
    "iban": "SE5460000000000403333911"
  },
  "payee": "ABC LTD",
  "instructedAmount": {
    "currency": "SEK",
    "amount": 33633.25
  }
}

Our Confirmation of Funds API provides you with a quick availability of funds on a given payment account. Please visit our product information page to find out more.

Confirmation of Funds API

PSD2 Payment Initiation API

 POST /payments/{paymentProduct}

   "debtorAccount": {
      "value": "401934551",
      "accountType": "BBAN"
    },
   "instructedAmount": {
      "currency": "GBP",
      "amount": 1000.00 
   },
   "paymentTypeInformation": {
     "serviceLevel": {
       "code": "NURG"
     },
     "categoryPurpose": {
       "code": "EUSE"
     }
   },

Our Payment Initiation API enables you to develop solutions to initiate payments and transfers, both domestic and cross-border. Please visit our product information page to find out more.

Payment Initiation API

 

 

You can find all of our APIs listed here All API products